Bug 1764568 - sctp_test fails to process "localhost" as remote_address
Summary: sctp_test fails to process "localhost" as remote_address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lksctp-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-23 10:53 UTC by Vit Mojzis
Modified: 2020-01-31 02:01 UTC (History)
2 users (show)

Fixed In Version: lksctp-tools-1.0.18-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 02:01:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Vit Mojzis 2019-10-23 10:53:19 UTC
Description of problem:
sctp_test fails to process "-h localhost" (*** sendmsg: Invalid argument ***)

After replacing "localhost", with "127.0.0.1" or "::1", the command works properly.

This issue is not present in the latest upstream release (lksctp-tools-1.0.18). 

Version-Release number of selected component (if applicable):
lksctp-tools-1.0.16-12.fc31.x86_64


Steps to Reproduce:
# sctp_test -H localhost -P 1026 -l &
# sctp_test -H localhost -P 1052 -h localhost -p 1026 -s

Actual results:
seed = 1571827214

Starting tests...
	socket(SOCK_SEQPACKET, IPPROTO_SCTP)  ->  sk=4
	bind(sk=4, [a:::,p:cap])  --  attempt 1/10
	listen(sk=4,backlog=100)
Server: Receiving packets.
	recvmsg(sk=4) sctp_test -H localhost -P 1052 -h localhost -p 1026 -s
remote:addr=::, port=cap, family=10
local:addr=::, port=ddt, family=10
seed = 1571827222

Starting tests...
	socket(SOCK_SEQPACKET, IPPROTO_SCTP)  ->  sk=4
	bind(sk=4, [a:::,p:ddt])  --  attempt 1/10
Client: Sending packets.(1/10)
	sendmsg(sk=4, assoc=0)    1 bytes.
	  SNDRCV(stream=0 flags=0x1 ppid=915480447

		*** sendmsg: Invalid argument ***


Expected results:
...
	recvmsg(sk=4) Data 1 bytes. First 1 bytes: <empty> text[0]=0
	  SNDRCV(stream=0 ssn=0 tsn=3832062224 flags=0x1 ppid=36046225
cumtsn=3832062224
	recvmsg(sk=4) Data 1 bytes. First 1 bytes: <empty> text[0]=0
	  SNDRCV(stream=0 ssn=0 tsn=3832062225 flags=0x1 ppid=1460416525
cumtsn=3832062225
	recvmsg(sk=4) Notification: SCTP_ASSOC_CHANGE(SHUTDOWN_COMPLETE)
...

Additional info:

I created a PR resolving the issue: https://src.fedoraproject.org/rpms/lksctp-tools/pull-request/1

Comment 1 Fedora Admin XMLRPC Client 2020-01-15 04:11:18 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Fedora Update System 2020-01-24 05:49:41 UTC
lksctp-tools-1.0.18-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3f14ef5a84

Comment 3 Fedora Update System 2020-01-31 02:01:11 UTC
lksctp-tools-1.0.18-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.